from Algorithms.Utility.two_point_crossover_set import two_point_crossover_set
from Algorithms.Utility.multi_point_crossover_set import multi_point_crossover_set
from Algorithms.Utility.bit_flip_mutation import bit_flip_mutation

import config as cg

import numpy as np
import random

# def mate(pop, toolbox, selection_scheme, chrom_repr, N_offsprings):
def mate(pop, toolbox, selection_scheme, chrom_repr, N_offsprings, cx, mx):

    Q = []

    while len(Q) < N_offsprings:

        ind1 = toolbox.clone(selection_scheme(pop))
        ind2 = toolbox.clone(selection_scheme(pop))

        # if random.random() <= cg.crossover_rate:
        if random.random() <= cx:
            # toolbox.mate(ind1, ind2)
            # ind1, ind2 = two_point_crossover_set(ind1, ind2, chrom_repr)
            ind1, ind2 = multi_point_crossover_set(ind1, ind2, chrom_repr, 3)

            # if random.random() <= cg.mutation_rate:
            if random.random() <= mx:
                # toolbox.mutate(ind1)
                # toolbox.mutate(ind2)
                ind1 = bit_flip_mutation(ind1, chrom_repr, 1)
                ind2 = bit_flip_mutation(ind2, chrom_repr, 1)

            Q += [ind1,ind2]
            #     cache!
            del ind1.fitness.values, ind2.fitness.values

        else:
            Q += [ind1,ind2]

    return Q
