function [alpha,omega,delta,g_scale] = decode_modified(ind)

    alpha_max   = 90;
    omega_max   = 210;
    delta_max   = 90;   
    
    alpha_gen   = 7;
    omega_gen   = 7;
    delta_gen   = 7;
    g_scale_gen = 5;
    
    alpha = (pi/180)*double(ind(1))*alpha_max/(2^alpha_gen-1);
    omega = (pi/180)*double(ind(2))*omega_max/(2^omega_gen-1);
    delta = (pi/180)*double(ind(3))*delta_max/(2^delta_gen-1);
    g_scale = [];
    
    for i=4:numel(ind)
       g_scale(end+1) = double(ind(i))/(2^g_scale_gen-1); 
    end
end