clear all
clc
global  motion ...
        u1 phi phi_dot 
    
gamma = 0; %always zero, No offset in the amplitude

%% Specify the data file to load
% algorithm   = 'nsga2';
% motion      = 'Lateral';
% pop_size    = 'pop100';
% gen_size    = 'gen400';
% crossover   = 'cross070';
% mutation    = 'mut010';
% directory   = '../results/extended_model/mat_files';

% [population, decoded_population] = load_result(algorithm, motion, pop_size, gen_size, crossover, mutation, directory);

% gen_nr = 400;
% [pop, decoded_pop] = select_generation(population, decoded_population, gen_nr);


% [delta, g] = decode_population(population,'Modified1');
%pop = load('modifed_test');
%population = pop.reg;
motion = 'Modified';
f_regress = regress_model('hype','modified');

p_avg = (0.4:0.2:43)';
population = f_regress(p_avg);

% population =  [ones(numel(P1),1),P1,v1]*beta;

%% ============== Print out the whole population ==========================

[P_obj, P_viol, sim_time, phi_avg, phi_dot_avg] = objective_function_evaluation(population*pi/180, motion);
% [P_obj, P_viol, sim_time, phi_avg, phi_dot_avg] = objective_function_evaluation(decoded_pop*pi/180, motion);
P = P_obj(:,1);
v = P_obj(:,2);

% input(i).u = u1;
% data1(i).phi = phi;
% data2(i).phi_dot = phi_dot;

% ========================================================================

% disp(['Averaged Power Consumption: ' num2str(P_avg) 'Watt'])
% disp(['Forward Velocity: ' num2str(forward_speed) 'm/sec'])


