% Plots the CM position.
if 1

window = figure(7);
set(window, 'color', 'white');
plot(p_CM(:, 1), p_CM(:, 2), 'r--', 'linewidth', 1.3)
%plot(p_CM(:, 1), p_CM(:, 2), 'b-')
hold on
%grid on
%plot(p_bar_sim(:, 1), p_bar_sim(:, 2), 'g:')
xlabel('p_x [m]','FontSize',label_font_size);
ylabel('p_y [m]','FontSize',label_font_size);
set(gca,'FontSize',axis_font_size)
axis([-1 9 -1 9])
%set(gcf,'Position',figpos)
axis('equal')
%axis([-0.1 3.1 -0.2 2.3])
%xlim([-0.5 3])
plot(waypoints(:, 1), waypoints(:, 2), 'ks:', 'linewidth', 1.0)
% Draws the snake robot.
%plot_tid_vector = [55 125 235]';
plot_tid_vector = [2 39 59 92]';
link_color = 'b-';
for i = 1:size(plot_tid_vector, 1)
    plot_tid = plot_tid_vector(i, 1);
    plot_index = 1;
    while t(plot_index, 1) < plot_tid
        plot_index = plot_index + 1;
    end
    drawSnakeRobot_plotpurposes(theta(plot_index, :)', p_CM(plot_index, :)', link_color);
end


hold off

h = legend('Path of CM of robot', 'Reference path', 'location', 'best');
set(h,'fontsize',12,'interpreter','latex');
legend('boxoff')
end