function [pop, obj] = select_generation(population, objectives, gen_nr)
    max_gen = numel(population);
    if strcmpi(gen_nr, 'end')
       pop = population{'end'};
       obj = objectives{'end'};
    elseif isnumeric(gen_nr)
        if gen_nr > max_gen || max_gen < 1   
            error('\n%s\n\t%s\n\t%s%d!!!\n','#######################################################',...
                'Invalid generation number!!!',...
                'Valid numbers are between 1-',max_gen,'#######################################################');
        else
           pop = population{gen_nr};
            obj = objectives{gen_nr};
        end
    end
end