function sigmavector = sigma(i)
%
% Returns a vector used for calculating individual link position,
% velocity and acceleration.
%

global n l

for j = 1:n
    if i > j
        sigmavector(1, j) = l/n*(2*j - 1);
    elseif i == j
        sigmavector(1, j) = l/n*(2*i - n - 1);
    else
        sigmavector(1, j) = l/n*(2*j - 2*n - 1);
    end
end
