
% pop       = {'pop200','pop500','pop800'};
% pop       = {'pop500'};
pop = {'pop = 500'};
gen_nr       = {'gen100'};
% Decide the order for reading the .mat files
cross   = {'cx = 0.60', 'cx = 0.70', 'cx = 0.80'};
% cross   = {'cx = 0.80'};
mut       = {'mx = 0.050','mx = 0.100','mx = 0.150'};
% mut   = {'mx = 0.100'};

all_rates = {};
for i = 1:numel(cross)
    for j = 1:numel(mut)
        all_rates{end+1} = {cross{i},mut{j}}; 
    end
end


HV_avg = [];
for i = 1:numel(HV_sample)
    u = [];
    for j = 1:numel(HV_sample{i})
        u = [u;HV_sample{i}{j}];
    end
    HV_avg = [HV_avg; sum(u,1)/numel(HV_sample{i})];
end




conv_rate = [];
for i = 1:size(HV_avg,1)
    u = [];
    for j = 1:size(HV_avg,2)-1
         u = [u, HV_avg(i,j+1)-HV_avg(i,j)];
    end
    conv_rate = [conv_rate;u];
end

% gen = 1:size(conv_rate,2);
gen = 1:100;

figure(47);
hold on;
% i = 1;
% hold on;

% for i = 1:size(conv_rate,1)
% %    plot(gen,conv_rate(i,:)); 
%     plot(gen, HV_avg(i,1:(end-1)),'DisplayName',pop + ", " + all_rates{i}{1}+ ", " + all_rates{i}{2});
% end


for i = 1:numel(cross)
   for j = 1:numel(mut)
%     subplot(numel(cross),numel(mut),(i-1)*numel(cross)+j)
    hFig = figure(90+(i-1)*numel(cross)+j);
    set(hFig, 'Position', [300 200 600 500])
    hold on;
%     plot(gen, HV_avg((i-1)*numel(cross)+j,1:(end-1)),'DisplayName',pop + ", " + cross{i}+ ", " + mut{j});
%     plot(gen, HV_avg((i-1)*numel(cross)+j,1:(end-1)),'DisplayName', ['Algorithm: ', 'HypE', ', Motion: ', 'Modified']);


    % Labels
    xlabel('Generation','FontSize',14,'interpreter','latex');
    ylabel('HV Indicator','FontSize',14,'interpreter','latex');
    xlim([1,100])
    ylim([0,85])
%     ylim([55,85])
    le = legend('Location', 'se');
    set(le,'FontSize',12,'interpreter','latex')
    legend('show')
    legend('show')
    grid on

   end
end
% clf('reset');