function [HV, HV_sample] = compute_the_hypervolumes(data, bounds)  
    HV     = [];
    HV_sample  = {};
%     nr_data = 4;
    for i = 1:numel(data)
%     for i = 1:nr_data
        obj     = data{i}.objectives;
        n_data  = numel(obj);
%         n_data = 4;
        f       = zeros(1,n_data);
        for j = 1:n_data
            
        %  ================ Compute HV for all generations ================
           hyper_indicator = [];
            for gen = 1:numel(obj{j})
                obj1 = obj{j}{gen}(:,1);
                obj2 = obj{j}{gen}(:,2);
                k = numel(obj1);
                hyper_indicator(end+1) = sum(hypeIndicatorExact([obj1,obj2], bounds, k)); 
            end
        %==================================================================
        
        %  ================ Compute HV for last generation ================
%             gen = numel(obj{j});
%             obj1 = obj{j}{gen}(:,1);
%             obj2 = obj{j}{gen}(:,2);
%             k = numel(obj1);
%             hyper_indicator = sum(hypeIndicatorExact([obj1,obj2], bounds, k)); 
        %==================================================================
            HV_sample{i}{j} = hyper_indicator;
            f(j) = sum(hyper_indicator)/numel(hyper_indicator);
        end
        HV = [HV; f]; 
    end
end