addpath(pwd)
return_path = pwd;
cd('../extended_model/mat_files')
info = regexp( fileread('matlab_info.txt'), '\n', 'split');

% Select the method, motion, population size and nr. of generation
met       = {'nsga2'};
%     met      = {'HypE'};
mot       = {'FourierSeries'};
% pop       = {'pop300','pop500','pop800'};
pop       = {'pop500'};
gen       = {'gen100'};
% Decide the order for reading the .mat files
cross   = {'cross060', 'cross070', 'cross080'};
% cross   = {'cross070'};
mut       = {'mut0050','mut0100','mut0150'};
% mut     = {'mut0100'};

data = {};
for p = 1:numel(pop)
    for i = 1:numel(cross)
        for j = 1:numel(mut)
            for k = 1:numel(info)
                if check_pattern(info{k},met,mot,pop{p},gen,cross{i},mut{j})
    %                     disp(info{k})
%                     data = load(info{k});
%                     data{p}{i}{j} = load(info{k});  % For plot selecting 
                    data{i}{j} = load(info{k});   % For plotting all
%                     data{end+1} = load(info{k});  % For computing h_v
                    break
                end
            end
        end
    end
end

% data.population = {data.population{1}};
% data.objectives = {data.objectives{1}};


% population = {};
% objectives = {};
% a = 1;
% for b = [1]
%     population{a} = data.population{end};
%     objectives{a} = data.objectives{end};
%     a = a + 1;
% end
% save([info{k},'.mat'], 'population', 'objectives')
% 
cd(return_path)
% plot_selected(data, pop, cross, mut);

plot_GA_params(data, cross, mut, 100, numel(data{1}{1}.population), {'pop = 500'}, 83)

% [HV, HV_sample] = compute_the_hypervolumes(data,[100,-2;0,0.5]);
% save('GA_HV_FourierSeries_pop500','HV','HV_sample');