from Algorithms.Utility.non_dominated_sort import non_dominated_sort
import numpy as np

import config as cg

def create_parent_population(pop, eng):

    Q                    = []
    N                    = cg.pop_size
    bounds               = cg.reference
    non_dominated_fronts = non_dominated_sort(pop)

    for Q1 in non_dominated_fronts:
        if len(Q) + len(Q1) > N:
            break
        Q += Q1

    k = len(Q) + len(Q1) - N
    while k > 0:
        objectives = [Q1[i].fitness.values for i in range(len(Q1))]
        f = eng.hypeIndicatorExact(np.array(objectives).T.tolist(), bounds, k)
        i = np.argmin(f)
        del Q1[i]
        k -= 1
    Q += Q1

    return Q
