import numpy as np

def binary_tournament_selection(population):
    N = len(population)
    index1 = np.random.randint(0,high=N)
    index2 = np.random.randint(0,high=N)
    while index1 == index2:
        index2 = np.random.randint(0,high=N)

    parent1 = population[index1]
    parent2 = population[index2]

    if parent1.rank > parent2.rank:
        best_parent = parent1
    else:
        best_parent = parent2

    return best_parent
