import numpy as np

def check_domination(pop):

    for i in range(len(pop)):
        pop[i].dominated = False

    for i in range(len(pop)):
        obj1 = pop[i].fitness.values
        for j in range(len(pop)-(i+1)):
            obj2 = pop[i+1+j].fitness.values
            if np.all((obj1 <= obj2) & np.any(obj1 < obj2)):
                pop[i+1+j].dominated = True
            elif np.all((obj2 <= obj1) & np.any(obj2 < obj1)):
                pop[i].dominated = True
