import config as cg
import numpy as np

def save_history(loggerObj, pop, obj):
    # loggerObj.storeHistory(np.array(pop).tolist(), np.array(obj).tolist(),
    #                             np.array(violation).tolist())
    loggerObj.storeHistory(np.array(pop).tolist(), np.array(obj).tolist())

def temporary_save(loggerObj):
    loggerObj.temporarySave()

def final_save(loggerObj):
    # loggerObj.storeFinalToBinary()
    # loggerObj.updateInformation()
    loggerObj.storeFinalToJSON()
    loggerObj.updateInformation()
    loggerObj.compressToZip()

def start_from_temporary_save(loggerObj, toolbox):
    n_gen = loggerObj.loadTemporaryFile()
    if n_gen == 1:
        pop = toolbox.population(n=cg.pop_size)
    else:
        pop = toolbox.population(n=len(loggerObj.popHist[0]))
        temp_pop = loggerObj.popHist
        for i in range(len(pop)):
            for j in range(len(pop[i])):
                pop[i][j] = temp_pop[len(temp_pop)-1][i][j]

    return pop, n_gen
