global l n M m_tot J L A D H N V N1 N2 e E T T_inv AL ...
    theta0 theta0_dot x0 y0 x0_dot y0_dot w0 w0_dot ...
    D_f D_tau Delta_f Delta_tau

if 1
    
% Time
WT = (0:0.01:2*pi)';

% Controller parameters
A = 70*pi/180;
w = 70*pi/180;



delta = 10*pi/180;

% Angles
th1 = A*sin(WT);
th2 = A*sin(WT + delta);
th3 = A*sin(WT + 2*delta);
th = [th1 th2 th3];

% Angular velocities
th1d = A*w*cos(WT);
th2d = A*w*cos(WT + delta);
th3d = A*w*cos(WT + 2*delta);
thd = [th1d th2d th3d];

% Link velocities
xd = [];
yd = [];
for i = 1:size(WT, 1)
    t1 = th1(i, 1);
    t2 = th2(i, 1);
    t3 = th3(i, 1);
    
    wt = WT(i, 1);
    
    Stheta = diag([sin(t1) sin(t2) sin(t3)]);
    Ctheta = diag([cos(t1) cos(t2) cos(t3)]);
    
    xd(i, :) = l*N'*Stheta*thd(i, :)';
    yd(i, :) = -l*N'*Ctheta*thd(i, :)';
end

th_delta1 = th;
yd_delta1 = yd;




delta = 40*pi/180;

% Angles
th1 = A*sin(WT);
th2 = A*sin(WT + delta);
th3 = A*sin(WT + 2*delta);
th = [th1 th2 th3];

% Angular velocities
th1d = A*w*cos(WT);
th2d = A*w*cos(WT + delta);
th3d = A*w*cos(WT + 2*delta);
thd = [th1d th2d th3d];

% Link velocities
xd = [];
yd = [];
for i = 1:size(WT, 1)
    t1 = th1(i, 1);
    t2 = th2(i, 1);
    t3 = th3(i, 1);
    
    wt = WT(i, 1);
    
    Stheta = diag([sin(t1) sin(t2) sin(t3)]);
    Ctheta = diag([cos(t1) cos(t2) cos(t3)]);
    
    xd(i, :) = l*N'*Stheta*thd(i, :)';
    yd(i, :) = -l*N'*Ctheta*thd(i, :)';
end

th_delta2 = th;
yd_delta2 = yd;





delta = 70*pi/180;

% Angles
th1 = A*sin(WT);
th2 = A*sin(WT + delta);
th3 = A*sin(WT + 2*delta);
th = [th1 th2 th3];

% Angular velocities
th1d = A*w*cos(WT);
th2d = A*w*cos(WT + delta);
th3d = A*w*cos(WT + 2*delta);
thd = [th1d th2d th3d];

% Link velocities
xd = [];
yd = [];
for i = 1:size(WT, 1)
    t1 = th1(i, 1);
    t2 = th2(i, 1);
    t3 = th3(i, 1);
    
    wt = WT(i, 1);
    
    Stheta = diag([sin(t1) sin(t2) sin(t3)]);
    Ctheta = diag([cos(t1) cos(t2) cos(t3)]);
    
    xd(i, :) = l*N'*Stheta*thd(i, :)';
    yd(i, :) = -l*N'*Ctheta*thd(i, :)';
end

th_delta3 = th;
yd_delta3 = yd;


linewidth = 1.3;


figure(1)
clf
grid on
hold on
plot(WT, yd_delta1(:, 1)*100, 'b:', 'LineWidth', linewidth)
plot(WT, yd_delta2(:, 1)*100, 'b--', 'LineWidth', linewidth)
plot(WT, yd_delta3(:, 1)*100, 'b', 'LineWidth', linewidth)
h = legend('$\delta = 10^\circ$', '$\delta = 40^\circ$', '$\delta = 70^\circ$');
set(h,'fontsize',14,'interpreter','latex');
set(gca,'FontSize',14)

plot(WT, th_delta1(:, 1)*180/pi, 'r:', 'LineWidth', linewidth)
plot(WT, th_delta2(:, 1)*180/pi, 'r--', 'LineWidth', linewidth)
plot(WT, th_delta3(:, 1)*180/pi, 'r', 'LineWidth', linewidth)

figure(2)
clf
grid on
hold on
plot(WT, yd_delta1(:, 2)*100, 'b:', 'LineWidth', linewidth)
plot(WT, yd_delta2(:, 2)*100, 'b--', 'LineWidth', linewidth)
plot(WT, yd_delta3(:, 2)*100, 'b', 'LineWidth', linewidth)
h = legend('$\delta = 10^\circ$', '$\delta = 40^\circ$', '$\delta = 70^\circ$');
set(h,'fontsize',14,'interpreter','latex');
set(gca,'FontSize',14)

plot(WT, th_delta1(:, 2)*180/pi, 'r:', 'LineWidth', linewidth)
plot(WT, th_delta2(:, 2)*180/pi, 'r--', 'LineWidth', linewidth)
plot(WT, th_delta3(:, 2)*180/pi, 'r', 'LineWidth', linewidth)

figure(3)
clf
grid on
hold on
plot(WT, yd_delta1(:, 3)*100, 'b:', 'LineWidth', linewidth)
plot(WT, yd_delta2(:, 3)*100, 'b--', 'LineWidth', linewidth)
plot(WT, yd_delta3(:, 3)*100, 'b', 'LineWidth', linewidth)
h = legend('$\delta = 10^\circ$', '$\delta = 40^\circ$', '$\delta = 70^\circ$');
set(h,'fontsize',14,'interpreter','latex');
set(gca,'FontSize',14)

plot(WT, th_delta1(:, 3)*180/pi, 'r:', 'LineWidth', linewidth)
plot(WT, th_delta2(:, 3)*180/pi, 'r--', 'LineWidth', linewidth)
plot(WT, th_delta3(:, 3)*180/pi, 'r', 'LineWidth', linewidth)


fi1 = figure(1);
set(fi1, 'color', 'white');
xlabel('${\omega}t$ [rad] = 0 to 2${\pi}$', 'fontsize', 14, 'interpreter', 'latex');
text('position', [2.35 54], 'interpreter', 'latex', 'fontsize', 16, 'string', '$\theta_1$ [deg]');
text('position', [1 -8], 'interpreter', 'latex', 'fontsize', 16, 'string', '$\dot{y_1}$ [cm/s]');
hold off
set(gcf, 'position', [650 168 589 514])

fi2 = figure(2);
axis([1.5 2*pi -10 10])
set(fi2, 'color', 'white');
xlabel('${\omega}t$ [rad] = 0 to 2${\pi}$', 'fontsize', 14, 'interpreter', 'latex');
text('position', [2 7], 'interpreter', 'latex', 'fontsize', 16, 'string', '$\theta_2$ [deg]');
text('position', [3.2 -2.25], 'interpreter', 'latex', 'fontsize', 16, 'string', '$\dot{y_2}$ [cm/s]');
hold off
set(gcf, 'position', [650 168 589 514])

fi3 = figure(3);
set(fi3, 'color', 'white');
xlabel('${\omega}t$ [rad] = 0 to 2${\pi}$', 'fontsize', 14, 'interpreter', 'latex');
text('position', [0.5 70], 'interpreter', 'latex', 'fontsize', 16, 'string', '$\theta_3$ [deg]');
text('position', [2.7 50], 'interpreter', 'latex', 'fontsize', 16, 'string', '$\dot{y_3}$ [cm/s]');
line([3.2 2.85], [0, 40])
hold off
set(gcf, 'position', [650 168 589 514])

% Exports figures.
if 0
    exportfig(1,'delta_link1.eps','bounds','tight','color','rgb');
    exportfig(2,'delta_link2.eps','bounds','tight','color','rgb');
    exportfig(3,'delta_link3.eps','bounds','tight','color','rgb');
    
    eps2xxx('delta_link1.eps', {'png'}, 'C:\Program Files\gs\gs8.63\bin\gswin32c.exe', 0);
    eps2xxx('delta_link2.eps', {'png'}, 'C:\Program Files\gs\gs8.63\bin\gswin32c.exe', 0);
    eps2xxx('delta_link3.eps', {'png'}, 'C:\Program Files\gs\gs8.63\bin\gswin32c.exe', 0);
end

end

% Plots the expression deciding the propulsion of the snake robot with
% anisotropic viscous friction.
if 0
    axis_font_size = 12;
    label_font_size = 16;
    text_font_size = 16;

    vinkler = (-pi/2:0.01:pi/2)';
    v = [];
    
    fi = figure(1);
    set(fi, 'color', 'white');
    hold on
    
    ct = 1;
    cn = (1:5)';
    for j = 1:size(cn, 1)
        for i = 1:size(vinkler, 1)
            v(i, 1) = cos(vinkler(i, 1))*sin(vinkler(i, 1))*ct - cos(vinkler(i, 1))*sin(vinkler(i, 1))*cn(j, 1);
        end
        plot(vinkler*180/pi, v)
        grid on
    end
    xlabel('Link angle, $\theta_i$ [deg]', 'fontsize', label_font_size, 'interpreter', 'latex')
    %ylabel('$F_{xy}(\theta_i)$', 'fontsize', label_font_size, 'interpreter', 'latex');
    ylabel('$F_{y}(\theta_i)$', 'fontsize', label_font_size+2, 'interpreter', 'latex');
    
    text('position', [-51 -0.2], 'fontsize', text_font_size, 'interpreter','latex', 'string', '$c_n$ = 1');
    text('position', [-51 0.3], 'fontsize', text_font_size, 'interpreter','latex', 'string', '$c_n$ = 2');
    text('position', [-51 0.8], 'fontsize', text_font_size, 'interpreter','latex', 'string', '$c_n$ = 3');
    text('position', [-51 1.3], 'fontsize', text_font_size, 'interpreter','latex', 'string', '$c_n$ = 4');
    text('position', [-51 1.8], 'fontsize', text_font_size, 'interpreter','latex', 'string', '$c_n$ = 5');
    set(gca,'FontSize',axis_font_size)
    
    ct_tekst = text('position', [15 1.25], 'fontsize', text_font_size, 'interpreter','latex', 'string', '$c_t$ = 1');
    set(ct_tekst,'EdgeColor','black');
    
    set(fi, 'position', [624   470   937   508])
    
    hold off
    
    if 1
        exportfig(1,'ctcn.eps','bounds','tight','color','rgb');
        eps2xxx('ctcn.eps', {'png'}, 'C:\Program Files\gs\gs8.63\bin\gswin32c.exe', 0);
    end
end

% Plots the y velocity as function of theta
if 0
    global t_sim z_dot_sim theta_sim
    
    figure(55)
    set(55, 'color', 'white');
    
    subplot(3, 1, 1)
    plot(t_sim(:, 1), z_dot_sim(:, 2*n-2)*1000, 'b')
    grid on
    hold on
    plot(t_sim(:, 1), theta_sim(:, 1)*180/pi, 'r--')
    xlabel('Time [s]')
    legend('$\theta_1 [deg]$', '$\dot{y_1} [mm/s]$', 'location', 'NorthEastOutside')
    set(legend(), 'interpreter', 'latex')
    hold off
    
    subplot(3, 1, 2)
    plot(t_sim(:, 1), z_dot_sim(:, 2*n-1)*1000, 'b')
    grid on
    hold on
    plot(t_sim(:, 1), theta_sim(:, 2)*180/pi, 'r--')
    xlabel('Time [s]')
    legend('$\theta_2 [deg]$', '$\dot{y_2} [mm/s]$', 'location', 'NorthEastOutside')
    set(legend(), 'interpreter', 'latex')
    hold off
    
    subplot(3, 1, 3)
    plot(t_sim(:, 1), z_dot_sim(:, 2*n)*1000, 'b')
    grid on
    hold on
    plot(t_sim(:, 1), theta_sim(:, 3)*180/pi, 'r--')
    xlabel('Time [s]')
    legend('$\theta_3 [deg]$', '$\dot{y_3} [mm/s]$', 'location', 'NorthEastOutside')
    set(legend(), 'interpreter', 'latex')
    hold off
end

if 0
    % Creates a combined plot from individual figures.
    window = figs2subplots([2 3 4 5], [4 1]);
    %window = figs2subplots([3 5 10 20], [4 1]);
    set(window, 'color', 'white');
    set(gcf, 'position', [624          76         528        1150])
end

%exportfig(gcf,'pCM_complex_model.eps','bounds','tight','color','rgb');
%printeps(1, 'Fxy') % Replaces Helvetica font in eps-file.
%eps2xxx('Fxy.eps', {'png'}, 'C:\Program Files\gs\gs8.63\bin\gswin32c.exe', 0)

% Figursteg fra Matlab til artikkel:
% - Lag plot.
% - Evt kombiner med figs2subplots. Her m evt legendposisjon settes manuelt i filen.
% - Konverter til eps med printeps.
% - Konverter til png med eps2xxx.
% - MS Picture Manager til  endre strrelsen slik at png-figuren kan ha
% 100% strrelse i Scientific Workplace. Png-figuren blir rar hvis den
% skaleres i Scientific Workplace.
