function [delta, coeff] = decode_fourier(ind)

    delta_max = 90;
    coeff_max = 90;
%     a_null_max = 90

    delta_gen = 7;
    fourier_gen = 7;

    delta = delta_max*double(ind(1))*pi/((2^delta_gen-1)*180);
    coeff = [];
    
    for i = 2:numel(ind)
       mean = floor((2^coeff_max-1)/2);
       if ind(i) > mean+1
            mean = mean + 1;
       end

       coeff(end+1) = (pi/180)*coeff_max*(2*double(ind(i))/(2^fourier_gen-1) - 1);
    end

end