function [alpha, omega, delta] = decode_pop(population)
    
    n = size(population,1);

    alpha = zeros(n,1);
    omega = zeros(n,1);
    delta = zeros(n,1);
    
    %Decode each chromosome in the population
    for i = 1:n
       individual = population(i,1);
       alpha(i,1) = bitand(bitshift(individual,-15),127); 
       omega(i,1) = bitand(bitshift(individual,-7),255);
       delta(i,1) = bitand(bitshift(individual,0),127);
    end  
    
end