function data_filtrert = filtrerData(data, samplingsfrekvens, w_c)
% Funksjon som lavpassfiltrerer den medsendte data-vektoren.

%data_filtrert = data;
%return;

% Angir tiden mellom hvert sample
T = 1/samplingsfrekvens;

% Angir koeffisientene i den karakteristiske likningen for filteret
%A = [w_c^2 + 4/(T^2) + 2*sqrt(2)*w_c/T;
%    2*w_c^2 - 8/(T^2);
%    4/(T^2) - 2*sqrt(2)*w_c/T + w_c^2];
%B = [w_c^2 ; 2*w_c^2 ; w_c^2];

% Beregner filterkoeffisientene
[B, A] = butter(3, w_c/(1/T/2), 'low');

% Gjennomfrer filtreringen
data_filtrert = filter(B, A, data(:,1));
