function [P_avg, forward_speed] = get_simulation_data(sim, n)

global t_previous

n_sim = size(sim,2);

    for k = 1:n_sim

        v            = sim(k).v;
        t_sim        = sim(k).t_sim;
        t            = sim(k).t;
        P_joints_sim = sim(k).P_joints;

        % Extracts the states from the state vector.
        theta       = v(:, 1:n);
        p_CM        = v(:, n+1:n+2);
        theta_dot   = v(:, n+3:2*n+2);
        p_CM_dot    = v(:, 2*n+3:2*n+4);
        phi         = v(:, 2*n+5:3*n+3);
        phi_dot     = v(:, 3*n+4:4*n+2);

        %[total_constraints, non_violated] = check_feasible_constraints(n, constraints)

        % Calculate the Averaged Power Consumption
            t_previous=0;
            for i=1:length(t_sim)
                d_t(i)=t_sim(i)-t_previous;
                Power_vector_temp(i)=P_joints_sim(i)*d_t(i);
                t_previous=t_sim(i);
            end
            P_avg(k,1)=sum(Power_vector_temp)/t_sim(end, 1);
         % Calculate the forward velocity
         %forward_speed = sqrt(p_CM_dot(end, 1)^2+p_CM_dot(end, 2)^2);
         forward_speed(k,1) = sqrt(p_CM(end, 1)^2+p_CM(end, 2)^2)/t(end,1);
    end
end