function [visualize_t,visualize_theta,visualize_p_CM] = init_visualization(v,sim_time,n,timestep)
    
    

%     theta = v(1:n, 1);
    theta = v(:, 1:n)';
    p_CM  = v(:,n+1:n+2)';      % Used to calculate z
    previous_draw_time = 0;
    visualize_t = [];
    visualize_theta = [];
    visualize_p_CM = [];
    
    timestep_multiplier = 25;
    
    for i = 1:numel(sim_time)
        t = sim_time(i);
%         disp(t)
        % Visualizes the snake robot
        % Draws the snake if the specified time step has passed
        if t >= previous_draw_time + timestep*timestep_multiplier
            % Updates the time of the previously drawn position
            previous_draw_time = t;
            % Draws the next position
    %         drawSnakeRobot(t, theta, p_CM);
    %         % Gives Matlab time to show the drawn graph
    %         pause(timestep);
            %pause(0.2);
            visualize_t = [visualize_t, t];
            visualize_theta = [visualize_theta, theta(:,i)];
            visualize_p_CM = [visualize_p_CM, p_CM(:,i)];
        end
    end
end