function M_inv = pseudo_inv(M)
%
% Calculates the the Moore-Penrose pseudo inverse of the matrix M.
%

m = size(M, 1);
n = size(M, 2);

if m <= n
    M_inv = M'*inv(M*M');
else
    M_inv = inv(M'*M)*M';
end
