%
% Saves the simulation output currently in memory.
%

global n L t_sim theta_sim theta_dot_sim z_sim w_sim w_dot_sim f_measured obstacles simulation_data ...
    phi_ref_sim contact_vector_sim f_constr_sim jammed_joints_sim num_jammed_joints_sim ...
    snake_robot_jammed_sim f_constr_sum_sim

% Displays a dialog box that lets the user choose where to save the file
[filename, pathname, filterindex] = uiputfile('*.mat', 'Choose where to save MAT-file', '');

% Returns if user pressed cancel
if isequal(filename, 0) | isequal(pathname, 0)
    return;
end

% Stores the variables to the file
save(strcat(pathname, filename), 'n', 'L', 't_sim', 'theta_sim', 'theta_dot_sim', 'z_sim', 'w_sim', 'w_dot_sim', 'f_measured', 'obstacles', 'simulation_data', 'phi_ref_sim', 'contact_vector_sim', 'f_constr_sim', 'f_constr_sum_sim', 'jammed_joints_sim', 'num_jammed_joints_sim', 'snake_robot_jammed_sim');
