import gzip

def gz_file(data, outputfile):
    with gzip.open(outputfile, 'w') as fp:
        fp.write(str.encode(str(data)))
    fp.close()

def json_file(data, outputfile):
    jsonText = '{'
    for method in data:
        jsonText += '\n\t\"' + str(method) + '\":{'
        for motion in data[method]:
            jsonText += '\n\t\t\"' + str(motion) + '\":{'
            for pop in data[method][motion]:
                jsonText += '\n\t\t\t\"' + str(pop) + '\":{'
                for gen in data[method][motion][pop]:
                    jsonText += '\n\t\t\t\t\"' + str(gen) + '\":{'
                    for cross in data[method][motion][pop][gen]:
                        jsonText += '\n\t\t\t\t\t\"' + str(cross) + '\":{'
                        for mut in data[method][motion][pop][gen][cross]:
                            results1 = data[method][motion][pop][gen][cross][mut]["population"]
                            results2 = data[method][motion][pop][gen][cross][mut]["objectives"]
                            # results3 = data[method][motion][pop][gen][cross][mut]["violations"]
                            jsonText += '\n\t\t\t\t\t\t\"' + str(mut)  +  '\":{'
                            jsonText += '\n\t\t\t\t\t\t\t\"population\":' + str(results1)
                            jsonText += ',\n\t\t\t\t\t\t\t\"objectives\":'+ str(results2)
                            # jsonText += ',\n\t\t\t\t\t\t\t\"violations\":'+ str(results3)
                            jsonText += '\n\t\t\t\t\t\t},'
                        jsonText = jsonText[:len(jsonText)-2] + '}'
                        jsonText += '\n\t\t\t\t\t},'
                    jsonText = jsonText[:len(jsonText)-2] + '}'
                    jsonText += '\n\t\t\t\t},'
                jsonText = jsonText[:len(jsonText)-2] + '}'
                jsonText += '\n\t\t\t},'
            jsonText = jsonText[:len(jsonText)-2] + '}'
            jsonText += '\n\t\t},'
        jsonText = jsonText[:len(jsonText)-2] + '}'
        jsonText += '\n\t},'
    jsonText = jsonText[:len(jsonText)-1] + '\n}'

    with open(outputfile, 'w') as fp:
        fp.write(jsonText)
    fp.close()
