function plot_GA_params_generation(data, crossover, mutation, gen, n_data, pop, fig_nr)
    
    hFig = figure(fig_nr);
%     set(hFig, 'Position', [300 200 600 500])
    set(hFig, 'Position', [300 200 800 600])
%     mark_type = ['o','x','v','.'];
    mark_type = ['.','.','.','.'];
    
    
    crossover   = {'cx = 0.60', 'cx = 0.70', 'cx = 0.80'};
%     crossover   = {'cx = 0.70'};
    % cross   = {'cross070'};
    mutation    = {'mx = 0.050','mx = 0.100','mx = 0.150'};
%     mutation    = {'mx = 0.100'};
    
    P_avg = [];
    v_forward = [];
    
%     a = 0;
%     while a ~= -1
%         
%         disp('==================================');
%         fprintf('##\t Select Sample:\n');
%         data_nr = select_menu(n_data);
%         
%         disp('==================================');
%         fprintf('##\t Done?:\n');        
%         a = int16(input('Yes[-1]|Reset[0]:\n'));

    n_data = 1;        
    for data_nr = 1:n_data  
        for k = 1:numel(crossover)
            for i = 1:numel(mutation)
        %         pop = data{i}.population;
                obj = data{k}{i}.objectives;
                subplot(numel(crossover),numel(mutation),i+(k-1)*numel(crossover))
%                 subplot(1,3,3)
                hold on

                P_avg = obj{data_nr}{gen+1}(:,1);
                v_forward = -obj{data_nr}{gen+1}(:,2);
                scatter(P_avg, v_forward, 60,mark_type(4),'DisplayName', pop + ", " + crossover{k}+ ", " + mutation{i})
        %         hold on
        %         end
        
                legend('show','Location','southeast')
                title_text = sprintf("Generation: %d", gen);
                title(title_text)
%                 xlim([0,40]);
%                 ylim([0,1.0]);
                xlim([0,30]);
                ylim([0,0.85]);
        %         pause(0.01)
                legend('show')
                xlabel('$P_{avg}$ [Watt]','FontSize', 14,'interpreter','latex');
                ylabel('$\bar{v}$ [m/sec]','FontSize', 14,'interpreter','latex');
                grid on
            end
        end
%     end 
    end
    
    function index_selected = select_menu(arg)
        index_selected = 0;
        while isempty(index_selected) || ((index_selected > arg) || (index_selected < 1)) 
            text_input = sprintf('Select a nr. between 1-%d: ', arg);
            index_selected = int16(input(text_input)); 
        end 
    end

end